Subject: Re: GitTogether topics status (4th of October)

From: "Shawn O. Pearce" <[email-masked]>
Date: Tue, 7 Oct 2008 07:38:59 -0700

Nicolas Pitre <[email-masked]> wrote:
> On Mon, 6 Oct 2008, Jeff King wrote:
> 
> >   2. What needs refactoring?
> > 
> >      I occasionally run up against parts of the code that just make my
> >      eyes bleed everytime I touch them. I think we've made significant
> >      progress in maintanability and bug-avoidance with things like the
> >      strbuf library, refactoring of remote and transport handling, etc.
> >      What areas might still benefit from such refactoring?
> 
> Tree object walking and commit object parsing. This is what's holding 
> pack v4 performances back. But I think that Shawn will cover this 
> already (I won't be there but I sent my thoughts about this to him).

Yup.  A huge part of the pack v4 talk is going to be the parsing
code.  Maybe 10 minutes of it will give the high level overview
of how pack v4 is organized, to explain why the parsing code is
a problem.  :)

-- 
Shawn.